Package kiyut.sketsa.options

## Class CodeFormatOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.CodeFormatOptions

- All Implemented Interfaces:
    `Options`

      public class CodeFormatOptions
      extends AbstractOptions

  Implementation of Code Format Options
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `LINE_BREAK_PROPERTY` |
    `static String` | `LINE_WIDTH_PROPERTY` |
    `static String` | `STYLING_CSS_PROPERTY` |
    `static String` | `TAB_WIDTH_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CodeFormatOptions()` | Creates a new instance of CodeFormatOptions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CodeFormatOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `String` | `getLineBreak()` |
    `int` | `getLineWidth()` |
    `int` | `getTabWidth()` |
    `boolean` | `isStylingCSS()` |
    `void` | `setLineBreak​(String lineBreak)` |
    `void` | `setLineWidth​(int lineWidth)` |
    `void` | `setStylingCSS​(boolean stylingCSS)` |
    `void` | `setTabWidth​(int tabWidth)` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_WIDTH_PROPERTY

          public static final String TAB_WIDTH_PROPERTY

      See Also:
        Constant Field Values

    - #### LINE_WIDTH_PROPERTY

          public static final String LINE_WIDTH_PROPERTY

      See Also:
        Constant Field Values

    - #### LINE_BREAK_PROPERTY

          public static final String LINE_BREAK_PROPERTY

      See Also:
        Constant Field Values

    - #### STYLING_CSS_PROPERTY

          public static final String STYLING_CSS_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeFormatOptions

          protected CodeFormatOptions()

      Creates a new instance of CodeFormatOptions

  - ### Method Detail

    - #### getInstance

          public static CodeFormatOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        The single instance.

    - #### getTabWidth

          public int getTabWidth()

    - #### setTabWidth

          public void setTabWidth​(int tabWidth)

    - #### getLineWidth

          public int getLineWidth()

    - #### setLineWidth

          public void setLineWidth​(int lineWidth)

    - #### getLineBreak

          public String getLineBreak()

    - #### setLineBreak

          public void setLineBreak​(String lineBreak)

    - #### isStylingCSS

          public boolean isStylingCSS()

    - #### setStylingCSS

          public void setStylingCSS​(boolean stylingCSS)